<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Good Asian</Series>
  <Number>7</Number>
  <Web>https://www.comixology.com/The-Good-Asian-7-of-10/digital-comic/966066</Web>
  <Summary>Edison Hark finally comes face-to-face with the Hui Long killer terrorizing Chinatown, but their action-packed confrontation will cost him more than he ever dreamed.  

“Stunning.” —JOCK (WYTCHES, All-Star Batman)</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB966066], [ASINB09F8HMQYK]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Mystery, Crime</Genre>
  <PageCount>29</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
